## Xfconf Types Xfconf Types — GObject types used by the Xfconf daemon and library |

## Functions

gint16 | xfconf_g_value_get_int16 ()
guint16 | xfconf_g_value_get_uint16 ()
void | xfconf_g_value_set_int16 ()
void | xfconf_g_value_set_uint16 ()

## Description

libgobject lacks GObject fundamental types for 16-bit signed and unsigned integers, which may be useful to use in an Xfconf store. GObject types for these primitive types are provided here.

## Functions

### xfconf_g_value_get_int16 ()

    gint16
    xfconf_g_value_get_int16 (const GValue *value);

Retrieves a 16-bit signed value from `value` .

#### Parameters

value | A GValue. |

#### Returns

A gint16.

### xfconf_g_value_get_uint16 ()

    guint16
    xfconf_g_value_get_uint16 (const GValue *value);

Retrieves a 16-bit unsigned value from `value` .

#### Parameters

value | A GValue. |

#### Returns

A guint16.

### xfconf_g_value_set_int16 ()

    void
    xfconf_g_value_set_int16 (GValue *value,
                              gint16 v_int16);

Sets `value` using a signed 16-bit integer.

#### Parameters

value | A GValue. |
v_int16 | A gint16. |

### xfconf_g_value_set_uint16 ()

    void
    xfconf_g_value_set_uint16 (GValue *value,
                               guint16 v_uint16);

Sets `value` using an unsigned 16-bit integer.

#### Parameters

value | A GValue. |
v_uint16 | A guint16. |

## Types and Values